Bug 974625 - [abrt] libreoffice-core-3.6.6.2-5.fc18: accept: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.6.2-5.fc18: accept: Process /usr/lib64/libreoffic...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:1a1a60295ba416ed1c762c1d1f5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 12:33 EDT by Rob
Modified: 2013-07-16 05:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 05:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.16 KB, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: cgroup (126 bytes, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: core_backtrace (5.78 KB, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: dso_list (24.88 KB, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: environ (1.35 KB, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: maps (113.86 KB, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: open_fds (724 bytes, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details
File: var_log_messages (337 bytes, text/plain)
2013-06-14 12:33 EDT, Rob
no flags Details

  None (edit)
Description Rob 2013-06-14 12:33:20 EDT
Description of problem:
Editint the text in a table in impress caused the crashed, but was noticing lost of other issues with tables:
Lots of graphics tearing
Generally "sluggish" when moving and resizing the tables

Version-Release number of selected component:
libreoffice-core-3.6.6.2-5.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=6
crash_function: accept
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.9.3-201.fc18.x86_64
uid:            1000

Truncated backtrace:
[New LWP 17732]
[New LWP 17733]
[New LWP 17736]
[New LWP 17751]
[New LWP 17737]
[New LWP 17735]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: "/var/cache/abrt-di/usr/lib/debug/usr/lib64/libicudata.so.49.1.1.debug": separate debug info file has no debug info
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//usr/lib64/gio/modules/libgvfsdbus.so.debug" does not match "/usr/lib64/gio/modules/libgvfsdbus.so" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug/usr/lib64/gio/modules/libgvfsdbus.so.debug" does not match "/usr/lib64/gio/modules/libgvfsdbus.so" (CRC mismatch).

Core was generated by `/usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=6'.
Program terminated with signal 11, Segmentation fault.
#0  GetUpdateMode (this=<error reading variable: Cannot access memory at address 0xe5840f000004b245>) at /usr/src/debug/libreoffice-3.6.6.2/editeng/source/editeng/impedit.hxx:693
693	/usr/src/debug/libreoffice-3.6.6.2/editeng/source/editeng/impedit.hxx: No such file or directory.

Thread 6 (Thread 0x7f49016bb700 (LWP 17735)):
#0  0x0000003f286f314d in accept () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x0000003f2d612150 in osl_acceptPipe (pPipe=0x2db1520) at /usr/src/debug/libreoffice-3.6.6.2/sal/osl/unx/pipe.c:467
        s = <optimized out>
        flags = <optimized out>
        pAcceptedPipe = <optimized out>
#2  0x0000003d8cc468fa in accept (Connection=..., this=0x2db0cb8) at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/osl/pipe.hxx:141
No locals.
#3  desktop::OfficeIPCThread::execute (this=<optimized out>) at /usr/src/debug/libreoffice-3.6.6.2/desktop/source/app/officeipcthread.cxx:657
        nError = 4294966784
#4  0x0000003f2ba03d76 in salhelper::Thread::run (this=0x2db0c90) at /usr/src/debug/libreoffice-3.6.6.2/salhelper/source/thread.cxx:60
No locals.
#5  0x0000003f2ba03fea in osl::threadFunc (param=0x2db0ca0) at /usr/src/debug/libreoffice-3.6.6.2/solver/unxlngx6.pro/inc/osl/thread.hxx:196
        pObj = 0x2db0ca0
#6  0x0000003f2d617bd7 in osl_thread_start_Impl (pData=0x2db0b50) at /usr/src/debug/libreoffice-3.6.6.2/sal/osl/unx/thread.c:261
        terminate = <optimized out>
        pImpl = 0x2db0b50
#7  0x0000003f28a07d15 in start_thread (arg=0x7f49016bb700) at pthread_create.c:308
        __res = <optimized out>
        pd = 0x7f49016bb700
        now = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139951533176576, -1975853687954163394, 0, 271258357760, 139951533176576, 47909744, 1875284552050063678, -1951735621903533762}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = 0
        pagesize_m1 = <optimized out>
        sp = <optimized out>
        freesize = <optimized out>
#8  0x0000003f286f248d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114

Timeout exceeded: 240 seconds, killing gdb.
Looks like gdb hung while generating backtrace.
This may be a bug in gdb. Consider submitting a bug report to gdb developers.
Please attach coredump from this crash to the bug report if you do.
Comment 1 Rob 2013-06-14 12:33:25 EDT
Created attachment 761321 [details]
File: backtrace
Comment 2 Rob 2013-06-14 12:33:29 EDT
Created attachment 761322 [details]
File: cgroup
Comment 3 Rob 2013-06-14 12:33:32 EDT
Created attachment 761323 [details]
File: core_backtrace
Comment 4 Rob 2013-06-14 12:33:36 EDT
Created attachment 761324 [details]
File: dso_list
Comment 5 Rob 2013-06-14 12:33:39 EDT
Created attachment 761325 [details]
File: environ
Comment 6 Rob 2013-06-14 12:33:43 EDT
Created attachment 761326 [details]
File: limits
Comment 7 Rob 2013-06-14 12:33:46 EDT
Created attachment 761327 [details]
File: maps
Comment 8 Rob 2013-06-14 12:33:49 EDT
Created attachment 761328 [details]
File: open_fds
Comment 9 Rob 2013-06-14 12:33:53 EDT
Created attachment 761329 [details]
File: proc_pid_status
Comment 10 Rob 2013-06-14 12:33:57 EDT
Created attachment 761330 [details]
File: var_log_messages
Comment 11 David Tardon 2013-06-25 03:40:16 EDT
Unfortunately the backtrace is completely unusable. Can you reproduce the crash (either with same presentation or a new one)?

Note You need to log in before you can comment on or make changes to this bug.